GROMIT-MPX(1)

NAME
Gromit-MPX - Presentation helper to make annotations on screen

SYNOPSIS
gromit-mpx [options]

DESCRIPTION
Gromit-MPX enables you to make multi-pointer annotations on your screen. It can run in the background and be activated on demand to let you draw over all your currently running applications. The drawing will stay on screen as long as you want, you can continue to use your applications while the drawing is visible.
Gromit-MPX is XInput-Aware, so if you have a graphic tablet you can draw lines with different strength, colour, erase things, etc.
Since you typically want to use the program you are demonstrating and highlighting something is a short interruption of you workflow, Gromit-MPX is activated by either a hotkey or a repeated invocation of Gromit-MPX (the latter can e.g. used by other applications or your windowmanager).

KEYBOARD CONTROL
By default, Gromit-MPX grabs the "F9" key (this can be changed using the "--key" option), making it unavailable to other application. The available shortcuts are:

F9  toggle painting

SHIFT-F9
    clear screen

CTRL-F9
    toggle visibility

ALT-F9
    quit Gromit-MPX

OPTIONS (STARTUP)
A short summary of the available commandline arguments for invoking Gromit-MPX, see below for the options to control an already running Gromit-MPX process:

-a, --active
    start Gromit-MPX and immediately activate it.

-d, --debug
    gives some debug output.

-k <keysym>, --key <keysym>
    will change the key used to grab the mouse. <keysym> can e.g. be "F9", "F12", "Control_R" or "Print". To determine the keysym for different keys you can use the xev(1) command. You can specify "none" to prevent Gromit-MPX from grabbing a key.

-K <keycode>, --keycode <keycode>
    will change the key used to grab the mouse. Under rare circumstances identifying the key with the keysym can fail. You can then use the keycode to specify the key uniquely. To determine the keycode for different keys you can use the xev(1) command.

-o, --opacity <value>
    will set the initial opacity of the window using a floating point value between 0 and 1.

-u <keysym>, --undo-key <keysym>
    will change the key used to undo/redo strokes. <keysym> can e.g. be "F9", "F12", "Control_R" or "Print". To determine the keysym for different keys you can use the xev(1) command. You can specify "none" to prevent Gromit-MPX from grabbing a key.

-U <keycode>, --undo-keycode <keycode>
    will change the key used to undo/redo strokes. Under rare circumstances identifying the key with the keysym can fail. You can then use the keycode to specify the key uniquely. To determine the keycode for different keys you can use the xev(1) command.

-V, --version
    will show the Gromit-MPX version.

OPTIONS (CONTROL)
A sort summary of the available commandline arguments to control an already running Gromit-MPX process, see above for the options available to start Gromit-MPX.

-c, --clear
    will clear the screen.

-q, --quit
    will cause the main Gromit-MPX process to quit.

-t, --toggle
    will toggle the grabbing of the cursor.

-v, --visibility
    will toggle the visibility of the window.

-y, --redo
    will redo the last undone drawing stroke.

-z, --undo
    will undo the last drawing stroke.

ENVIRONMENT

XDG_CURRENT_DESKTOP
    Gromit-MPX uses this to determine which desktop environment it is running on.

XDG_CURRENT_SESSION
    Gromit-MPX uses this to determine whether is is running under X11 or Wayland.

XDG_CONFIG_HOME
    Directory to search for user's custom configuration file, defaults to ~/.config/.

GDK_CORE_DEVICE_EVENTS
    If set, GDK does not use the XInput extension and only reacts to core X input events. This renders Gromit-MPX unusable, it will detect this and bail out with an error message.

FILES

gromit-mpx.cfg
    Configuration file which defines pens and maps mouse buttons and modifiers to them. Searched for in user's custom configuration file directory and, if not found there, in /etc/gromit-mpx/.

BUGS
When there is no compositing manager such as Compiz, xcompmgr or Mutter running, Gromit-MPX falls back to a legacy drawing mode. This may drastically slow down your X-Server, especially when you draw very thin lines. It makes heavy use of the shape extension, which is quite expensive if you paint a complex pattern on screen. Especially terminal-programs tend to scroll incredibly slow if something is painted over their window. XFCE per default grabs Ctrl-F1 to Ctrl-F12 (switch to workspace 1-12) and Alt-F9 (minimize window) which renders Gromit-MPX's default hotkey mapping unusable. Gromit-MPX detects XFCE and changes the default hotkeys to Home and End. Those can can still be overridden by the user.

AUTHORS
Simon Budig <simon@gimp.org> Christian Beier <info@christianbeier.net>

This manual page was written by Pierre Chifflier <chifflier@cpe.fr> and Simon Budig for the original Gromit and extended for Gromit-MPX by Christian Beier.